const jwt = require('express-jwt');
const jwksRsa = require('jwks-rsa');

const check = (YOUR_AUTH0_DOMAIN, audience)=>{
  return jwt({
    secret: jwksRsa.expressJwtSecret({
      cache: true,
      rateLimit: true,
      jwksRequestsPerMinute: 5,
      jwksUri: `https://${YOUR_AUTH0_DOMAIN}/.well-known/jwks.json`
    }),
    audience: audience,
    issuer: `https://${YOUR_AUTH0_DOMAIN}/`,
    algorithms: ['RS256']
  });
};

module.exports.check = check;